diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test b/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test
index a78aa9ea..1c2d2207 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test
@@ -2,49 +2,65 @@
 
 /**
  * @file
- * ldap_authentication simpletests
- *
+ * Ldap_authentication simpletests.
  */
 
 module_load_include('php', 'ldap_test', 'LdapTestCase.class');
 module_load_include('module', 'ldap_authentication');
 
+/**
+ * LdapAuthenticationTestCase.
+ */
 class LdapAuthenticationTestCase extends LdapTestCase {
+
+  public $module_name = 'ldap_authentication';
+  protected $ldap_test_data;
+
+  /**
+   * Get info.
+   */
   public static function getInfo() {
-    return array(
+    return [
       'name' => 'LDAP Authentication Tests',
       'description' => 'Test ldap authentication.',
-      'group' => 'LDAP Authentication'
-    );
+      'group' => 'LDAP Authentication',
+    ];
   }
 
-  function __construct($test_id = NULL) {
+  /**
+   * {@inheritdoc}
+   */
+  public function __construct($test_id = NULL) {
     parent::__construct($test_id);
   }
 
-  public $module_name = 'ldap_authentication';
-  protected $ldap_test_data;
-
-  function setUp() {
-    parent::setUp(array(
+  /**
+   *
+   */
+  public function setUp() {
+    parent::setUp([
       'ldap_authentication',
       'ldap_authorization',
       'ldap_authorization_drupal_role',
       'ldap_test',
-      )); // don't need any real servers, configured, just ldap_servers code base
+    // don't need any real servers, configured, just ldap_servers code base.
+    ]);
     variable_set('ldap_simpletest', 2);
   }
 
-  function tearDown() {
+  /**
+   *
+   */
+  public function tearDown() {
     parent::tearDown();
     variable_del('ldap_help_watchdog_detail');
     variable_del('ldap_simpletest');
   }
 
   /**
-   * difficult to test install and uninstall since setUp does module enabling and installing.
+   * Difficult to test install and uninstall since setUp does module enabling and installing.
    */
-  function testInstall() {
+  public function testInstall() {
     $testid = $this->module_name . ': setup success';
     $setup_success = (
         module_exists('ldap_authentication') &&
@@ -54,16 +70,13 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     $this->assertTrue($setup_success, ' ldap_authentication setup successful', $testid);
   }
 
-
-/**
- *  LDAP Authentication Mixed Mode User Logon Test (ids = LDAP_authen.MM.ULT.*)
- */
-
-
-  function testMixedModeUserLogon() {
+  /**
+   * LDAP Authentication Mixed Mode User Logon Test (ids = LDAP_authen.MM.ULT.*)
+   */
+  public function testMixedModeUserLogon() {
     $sid = 'activedirectory1';
     $testid = 'MixedModeUserLogon3';
-    $sids = array($sid);
+    $sids = [$sid];
     $this->prepTestData(
       LDAP_TEST_LDAP_NAME,
       $sids,
@@ -81,20 +94,20 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
     $user1 = user_load(1);
     $password = $this->randomString(20);
-    require_once(DRUPAL_ROOT . '/includes/password.inc');
-    $account = array(
+    require_once DRUPAL_ROOT . '/includes/password.inc';
+    $account = [
       'name' => $user1->name,
       'pass' => user_hash_password(trim($password)),
-    );
+    ];
     db_update('users')
       ->fields($account)
       ->condition('uid', 1)
       ->execute();
 
-    $edit = array(
+    $edit = [
       'name' => $user1->name,
       'pass' => $password,
-    );
+    ];
 
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Member for'), 'User 1 successfully authenticated', $testid);
@@ -102,10 +115,10 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
     /** LDAP_authen.MM.ULT.user1.badpwd  -- result: Drupal logon error message. **/
 
-    $edit = array(
+    $edit = [
       'name' => $user1->name,
       'pass' => 'mydabpassword',
-    );
+    ];
 
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Sorry, unrecognized username or password'), 'User 1 failed with bad password', $testid);
@@ -115,57 +128,56 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
     $drupal_user = $this->drupalCreateUser();
     $raw_pass = $drupal_user->pass_raw;
-    $edit = array(
+    $edit = [
       'name' => $drupal_user->name,
       'pass' => $raw_pass,
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Member for'), 'Drupal user (not ldap associated) successfully authenticated', $testid);
     $this->drupalGet('user/logout');
 
     /** LDAP_authen.MM.ULT.drupal.badpwd - result: Drupal logon error message. **/
-    $edit = array(
+    $edit = [
       'name' => $drupal_user->name,
       'pass' => 'mydabpassword',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Sorry, unrecognized username or password'), 'Drupal user  (not ldap associated) with bad password failed to authenticate.', $testid);
     $this->drupalGet('user/logout');
 
     /** LDAP_authen.MM.ULT.ldap.newaccount.badpwd - result: Drupal logon error message. **/
-    $edit = array(
+    $edit = [
       'name' => 'hpotter',
       'pass' => 'mydabpassword',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Sorry, unrecognized username or password'), 'New Ldap user with bad password failed to authenticate.', $testid);
     $this->drupalGet('user/logout');
 
-
     /** LDAP_authen.MM.ULT.ldap.newaccount.goodpwd - result: Successful logon, with user record created and authmapped to ldap **/
-    $edit = array(
+    $edit = [
       'name' => 'hpotter',
       'pass' => 'goodpwd',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Member for'), 'New Ldap user with good password authenticated.');
     $this->assertTrue($this->testFunctions->ldapUserIsAuthmapped('hpotter'), 'Ldap user properly authmapped.', $testid);
     $this->drupalGet('user/logout');
 
     /** LDAP_authen.MM.ULT.existingacct.badpwd - result: Drupal logon error message. **/
-    $edit = array(
+    $edit = [
       'name' => 'hpotter',
       'pass' => 'mydabpassword',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Sorry, unrecognized username or password'), 'Existing Ldap user with bad password failed to authenticate.', $testid);
     $this->drupalGet('user/logout');
 
     /** LDAP_authen.MM.ULT.existingacct.goodpwd - result: Successful logon. **/
-    $edit = array(
+    $edit = [
       'name' => 'hpotter',
       'pass' => 'goodpwd',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Member for'), 'Existing Ldap user with good password authenticated.');
     $this->assertTrue($this->testFunctions->ldapUserIsAuthmapped('hpotter'), 'Existing Ldap user still properly authmapped.', $testid);
@@ -173,15 +185,14 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
   }
 
-
-/**
- *  LDAP Authentication Exclusive Mode User Logon Test (ids = LDAP_authen.EM.ULT.*)
- */
-  function testExclusiveModeUserLogon() {
+  /**
+   * LDAP Authentication Exclusive Mode User Logon Test (ids = LDAP_authen.EM.ULT.*)
+   */
+  public function testExclusiveModeUserLogon() {
 
     $sid = 'activedirectory1';
     $testid = 'ExclusiveModeUserLogon3';
-    $sids = array($sid);
+    $sids = [$sid];
     $this->prepTestData(
       LDAP_TEST_LDAP_NAME,
       $sids,
@@ -199,20 +210,20 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
     $user1 = user_load(1);
     $password = $this->randomString(20);
-    require_once(DRUPAL_ROOT . '/includes/password.inc');
-    $account = array(
+    require_once DRUPAL_ROOT . '/includes/password.inc';
+    $account = [
       'name' => $user1->name,
       'pass' => user_hash_password(trim($password)),
-    );
+    ];
     db_update('users')
       ->fields($account)
       ->condition('uid', 1)
       ->execute();
 
-    $edit = array(
+    $edit = [
       'name' => $user1->name,
       'pass' => $password,
-    );
+    ];
 
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Member for'), 'User 1 successfully authenticated', $testid);
@@ -220,87 +231,85 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
     /** LDAP_authen.EM.ULT.user1.badpwd  -- result: Drupal logon error message. **/
 
-    $edit = array(
+    $edit = [
       'name' => $user1->name,
       'pass' => 'mydabpassword',
-    );
+    ];
 
     $this->drupalPost('user', $edit, t('Log in'));
-    $this->assertText(t('Sorry, unrecognized username or password'), 'User 1 failed with bad password', $testid );
+    $this->assertText(t('Sorry, unrecognized username or password'), 'User 1 failed with bad password', $testid);
     $this->drupalLogout();
 
     /** LDAP_authen.EM.ULT.drupal.goodpwd - result: failed logon **/
 
     $drupal_user = $this->drupalCreateUser();
     $raw_pass = $drupal_user->pass_raw;
-    $edit = array(
+    $edit = [
       'name' => $drupal_user->name,
       'pass' => $raw_pass,
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
-    $this->assertText(t('Sorry, unrecognized username or password'), 'Drupal user successfully authenticated', $testid );
+    $this->assertText(t('Sorry, unrecognized username or password'), 'Drupal user successfully authenticated', $testid);
     $this->drupalGet('user/logout');
 
     /** LDAP_authen.EM.ULT.drupal.badpwd - result: Drupal logon error message. **/
-    $edit = array(
+    $edit = [
       'name' => $drupal_user->name,
       'pass' => 'mydabpassword',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
-    $this->assertText(t('Sorry, unrecognized username or password'), 'Drupal user with bad password failed to authenticate.', $testid );
+    $this->assertText(t('Sorry, unrecognized username or password'), 'Drupal user with bad password failed to authenticate.', $testid);
     $this->drupalGet('user/logout');
 
-
     /** LDAP_authen.EM.ULT.ldap.newaccount.badpwd - result: Drupal logon error message. **/
-    $edit = array(
+    $edit = [
       'name' => 'hpotter',
       'pass' => 'mydabpassword',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
-    $this->assertText(t('Sorry, unrecognized username or password'), 'New Ldap user with bad password failed to authenticate.', $testid );
+    $this->assertText(t('Sorry, unrecognized username or password'), 'New Ldap user with bad password failed to authenticate.', $testid);
     $this->drupalGet('user/logout');
 
-
-
     /** LDAP_authen.EM.ULT.ldap.newaccount.goodpwd - result: Successful logon, with user record created and authmapped to ldap **/
-    $edit = array(
+    $edit = [
       'name' => 'hpotter',
       'pass' => 'goodpwd',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Member for'), 'New Ldap user with good password authenticated.');
-    $this->assertTrue($this->testFunctions->ldapUserIsAuthmapped('hpotter'), 'Ldap user properly authmapped.', $testid );
+    $this->assertTrue($this->testFunctions->ldapUserIsAuthmapped('hpotter'), 'Ldap user properly authmapped.', $testid);
     $this->drupalGet('user/logout');
 
-
     /** LDAP_authen.EM.ULT.existingacct.badpwd - result: Drupal logon error message. **/
-    $edit = array(
+    $edit = [
       'name' => 'hpotter',
       'pass' => 'mydabpassword',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
-    $this->assertText(t('Sorry, unrecognized username or password'), 'Existing Ldap user with bad password failed to authenticate.', $testid );
+    $this->assertText(t('Sorry, unrecognized username or password'), 'Existing Ldap user with bad password failed to authenticate.', $testid);
     $this->drupalGet('user/logout');
 
     /** LDAP_authen.MM.ULT.existingacct.goodpwd - result: Successful logon. **/
-    $edit = array(
+    $edit = [
       'name' => 'hpotter',
       'pass' => 'goodpwd',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Member for'), 'Existing Ldap user with good password authenticated.');
-    $this->assertTrue($this->testFunctions->ldapUserIsAuthmapped('hpotter'), 'Existing Ldap user still properly authmapped.', $testid );
+    $this->assertTrue($this->testFunctions->ldapUserIsAuthmapped('hpotter'), 'Existing Ldap user still properly authmapped.', $testid);
     $this->drupalGet('user/logout');
 
   }
 
   /**
-   * set mock server variables for sso tests
+   * Set mock server variables for sso tests.
    *
-   * @param object $drupal_user in drupal stdClass format
-   * @param array $ldap_user array
-   * @param enum ldap implementation type
+   * @param string $server_var_key
+   * @param string $sso_name
+   * @param string $ldapImplementation
+   * @param bool $seamlessLogin
    *
+   * @return object
    */
   private function setSsoServerEnvironment(
     $server_var_key = 'REMOTE_USER',
@@ -309,7 +318,7 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     $seamlessLogin = TRUE
   ) {
 
-    // clear past environment
+    // Clear past environment.
     ldap_servers_delete_globals('_SERVER', 'REMOTE_USER', TRUE);
     ldap_servers_delete_globals('_SERVER', 'REDIRECT_REMOTE_USER', TRUE);
 
@@ -317,13 +326,13 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
     $authenticationConf->ssoEnabled = TRUE;
     $authenticationConf->ssoRemoteUserStripDomainName = FALSE;
-    $authenticationConf->ssoExcludedPaths = array();
-    $authenticationConf->ssoExcludedHosts = array();
+    $authenticationConf->ssoExcludedPaths = [];
+    $authenticationConf->ssoExcludedHosts = [];
     $authenticationConf->seamlessLogin = $seamlessLogin;
     $authenticationConf->ldapImplementation = $ldapImplementation;
 
     if ($sso_name !== FALSE) {
-      if (strpos($sso_name, '@'))  {
+      if (strpos($sso_name, '@')) {
         $sso_name_parts = explode('@', $sso_name);
         $sso_name = $sso_name_parts[0];
         $authenticationConf->ssoRemoteUserStripDomainName = TRUE;
@@ -334,16 +343,17 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     return ldap_authentication_get_valid_conf(TRUE);
 
   }
-/**
- *  LDAP Authentication Exclusive Mode User Logon Test (ids = LDAP_authen.EM.ULT.*)
- */
-  function testSSOUserLogon() {
 
-    module_enable(array('ldap_sso', 'ldap_help'));
+  /**
+   * LDAP Authentication Exclusive Mode User Logon Test (ids = LDAP_authen.EM.ULT.*)
+   */
+  public function testSSOUserLogon() {
+
+    module_enable(['ldap_sso', 'ldap_help']);
 
     $sid = 'activedirectory1';
     $testid = 'SSOUserLogon3';
-    $sids = array($sid);
+    $sids = [$sid];
     $this->prepTestData(
       LDAP_TEST_LDAP_NAME,
       $sids,
@@ -355,7 +365,7 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     $this->drupalGet('user/logout');
     $this->drupalGet('user');
 
-    // just test that the setup works
+    // Just test that the setup works.
     $authenticationConf = new LdapAuthenticationConfAdmin();
     $this->assertTrue(ldap_servers_get_globals('_SERVER', 'REMOTE_USER', TRUE) == 'hpotter',
        '$_SERVER[REMOTE_USER] and $_SERVER[REDIRECT_REMOTE_USER] set properly for test with remote server ' . ldap_servers_get_globals('_SERVER', 'REMOTE_ADDR'), $testid);
@@ -377,17 +387,20 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     $hpotter_ldap = $ldap_user_conf->getProvisionRelatedLdapEntry($hpotter_drupal);
     debug('hpotter ldap entry'); debug($hpotter_drupal);
 
-    $tests = array(
-      'dontstripnames' => array('sso_name' => 'hpotter'),
-      'stripnames' => array('sso_name' => 'hpotter@hogwarts'),
+    $tests = [
+      'dontstripnames' => ['sso_name' => 'hpotter'],
+      'stripnames' => ['sso_name' => 'hpotter@hogwarts'],
 
-    );
+    ];
 
     foreach ($tests as $testid => $conf) {
-      foreach (array('REMOTE_USER') as $server_var_key) {
-        foreach (array('user') as $test_path) { // ,'user/login/sso'
-          foreach (array('mod_auth_sspi', 'mod_auth_kerb') as $ldapImplementation) {  // , 'mod_auth_kerb'
-            foreach (array(TRUE, FALSE) as $seamlessLogin ) {  // , FALSE
+      foreach (['REMOTE_USER'] as $server_var_key) {
+        // ,'user/login/sso'.
+        foreach (['user'] as $test_path) {
+          // , 'mod_auth_kerb'.
+          foreach (['mod_auth_sspi', 'mod_auth_kerb'] as $ldapImplementation) {
+            // , FALSE.
+            foreach ([TRUE, FALSE] as $seamlessLogin) {
               $sso_name = $conf['sso_name'];
               $this->ldapTestId = "testSSO._SERVER-key=$server_var_key sso_name=$sso_name path=$test_path ldapImplementation=$ldapImplementation seamlessLogin=$seamlessLogin";
               $ldapAuthenticationConf = $this->setSsoServerEnvironment($server_var_key, $sso_name, $ldapImplementation, $seamlessLogin);
@@ -402,16 +415,18 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     }
   }
 
-
-  function testAuthenticationWhitelistTests() {
-    require_once(drupal_get_path('module', 'ldap_authentication') . '/LdapAuthenticationConfAdmin.class.php');
+  /**
+   *
+   */
+  public function testAuthenticationWhitelistTests() {
+    require_once drupal_get_path('module', 'ldap_authentication') . '/LdapAuthenticationConfAdmin.class.php';
 
     $sid = 'activedirectory1';
     $testid = 'WL3';
-    $sids = array($sid);
+    $sids = [$sid];
     $this->prepTestData(
       'hogwarts',
-      array($sid),
+      [$sid],
       'provisionToDrupal',
       'WL3',
       'drupal_role_authentication_test'
@@ -420,8 +435,8 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     $ldap_servers = ldap_servers_get_servers($sid, 'enabled');
     $this->assertTrue(count($ldap_servers) == 1, ' ldap_authentication test server setup successful', $testid);
 
-    // these 2 modules are configured in setup, but disabled for most authentication tests
-    module_disable(array('ldap_authorization_drupal_role', 'ldap_authorization'));
+    // These 2 modules are configured in setup, but disabled for most authentication tests.
+    module_disable(['ldap_authorization_drupal_role', 'ldap_authorization']);
 
     /**
      * LDAP_authen.WL.user1  test for user 1 being excluded from white and black list tests
@@ -429,77 +444,74 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
     $user1 = user_load(1);
     $password = $this->randomString(20);
-    require_once(DRUPAL_ROOT . '/includes/password.inc');
-    $account = array(
+    require_once DRUPAL_ROOT . '/includes/password.inc';
+    $account = [
       'name' => $user1->name,
       'pass' => user_hash_password(trim($password)),
-    );
+    ];
     db_update('users')
       ->fields($account)
       ->condition('uid', 1)
       ->execute();
 
-    $edit = array(
+    $edit = [
       'name' => $user1->name,
       'pass' => $password,
-    );
+    ];
 
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Member for'), 'User 1 successfully authenticated in LDAP_authen.WL.user1', $testid);
     $this->drupalGet('user/logout');
 
-
-    module_enable(array('ldap_authorization'));
-    module_enable(array('ldap_authorization_drupal_role'));
-
+    module_enable(['ldap_authorization']);
+    module_enable(['ldap_authorization_drupal_role']);
 
     /**
      * prep LDAP_authen.WL.allow
      */
     $authenticationConf = new LdapAuthenticationConfAdmin();
-    $authenticationConf->allowOnlyIfTextInDn = array('pot');
+    $authenticationConf->allowOnlyIfTextInDn = ['pot'];
     $authenticationConf->save();
     $authenticationConf = ldap_authentication_get_valid_conf(TRUE);
 
-   /**
+    /**
     * LDAP_authen.WL.allow.match -- desirect_result: authenticate success
     */
 
     $this->AttemptLogonNewUser('hpotter');
     $this->assertText(t('Member for'), 'User able to authenticate because in white list (allowOnlyIfTextInDn).', $testid);
 
-   /**
+    /**
     *  LDAP_authen.WL.allow.miss -- desirect_result: authenticate fail
     */
 
     $this->AttemptLogonNewUser('ssnape');
     $this->assertText(t('User disallowed'), 'User unable to authenticate because not in white list (allowOnlyIfTextInDn).', $testid);
 
-
     /**
     * undo LDAP_authen.WL.allow settings
     */
 
     $authenticationConf = new LdapAuthenticationConfAdmin();
-    $authenticationConf->allowOnlyIfTextInDn = array();
+    $authenticationConf->allowOnlyIfTextInDn = [];
     $authenticationConf->save();
     $authenticationConf = ldap_authentication_get_valid_conf(TRUE);
     /**
     * prep LDAP_authen.WL.exclude
     */
     $authenticationConf = new LdapAuthenticationConfAdmin();
-    $authenticationConf->excludeIfTextInDn = array('cn=ssnape');
+    $authenticationConf->excludeIfTextInDn = ['cn=ssnape'];
     $authenticationConf->save();
     $authenticationConf = ldap_authentication_get_valid_conf(TRUE);
 
-   /**
+    /**
     * LDAP_authen.WL.exclude.match -- desirect_result: authenticate fail
     */
 
     $this->AttemptLogonNewUser('ssnape');
     $this->assertText(t('User disallowed'), 'User unable to authenticate in exclude list (excludeIfTextInDn).', $testid);
 
-   /**
+    /**
     *  LDAP_authen.WL.exclude.miss-- desirect_result: authenticate success
     */
 
@@ -511,7 +523,7 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     */
 
     $authenticationConf = new LdapAuthenticationConfAdmin();
-    $authenticationConf->excludeIfTextInDn = array();
+    $authenticationConf->excludeIfTextInDn = [];
     $authenticationConf->save();
     $authenticationConf = ldap_authentication_get_valid_conf(TRUE);
 
@@ -531,26 +543,25 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
     $authenticationConf->save();
     $authenticationConf = ldap_authentication_get_valid_conf(TRUE);
-   /**
+    /**
     * LDAP_authen.WL.php.php disabled -- desired result: authenticate fail with warning the authentication disabled
     */
-    module_disable(array('php'));
+    module_disable(['php']);
     $this->AttemptLogonNewUser('adumbledore');
     $this->assertText(
       LDAP_AUTHENTICATION_DISABLED_FOR_BAD_CONF_MSG,
       'With php disabled and php code in whitelist, refuse authentication. (allowTestPhp).',
       $testid
     );
-    module_enable(array('php'));
+    module_enable(['php']);
 
-
-   /**
+    /**
     * LDAP_authen.WL.php.true -- desired result: authenticate success
     */
     $this->AttemptLogonNewUser('hpotter');
     $this->assertText(t('Member for'), 'Able to authenticate because php returned true (allowTestPhp).', $testid);
 
-   /**
+    /**
     *  LDAP_authen.WL.php.false-- desired result: authenticate fail
     */
 
@@ -561,8 +572,7 @@ class LdapAuthenticationTestCase extends LdapTestCase {
       $testid
     );
 
-
-  /**
+    /**
     * clear LDAP_authen.WL.php
     */
     $authenticationConf = new LdapAuthenticationConfAdmin();
@@ -570,7 +580,7 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     $authenticationConf->save();
     $authenticationConf = ldap_authentication_get_valid_conf(TRUE);
 
-  /**
+    /**
    * need to test username changes with PUID
    *   - given a user exists
    *   - change samaccountname in ldap server
@@ -579,40 +589,31 @@ class LdapAuthenticationTestCase extends LdapTestCase {
    *
    */
 
+    /***  multiple options used in whitelist **/
 
-  /***  multiple options used in whitelist **/
-
-
-
-   /**
+    /**
     * LDAP_authen.WL.allow[match].exclude[match] -- desired result: authenticate fail
     */
 
-
-
-   /**
+    /**
     *  LDAP_authen.WL.allow[match].exclude[miss] -- desired result: authenticate success
     */
 
-
     /**
     * LDAP_authen.WL.exclude[match].*-- desirect_result: authenticate fail
     */
 
-
-
-   /**
+    /**
     *  LDAP_authen.WL.exclude[match].php[false] -- desired result: authenticate fail
     */
 
-
-  /**
+    /**
      * LDAP_authen.WL1.excludeIfNoAuthorizations.hasAuthorizations
      * test for excludeIfNoAuthorizations set to true and consumer granted authorizations
      */
 
-   // these 2 modules are configured in setup, but disabled for most authentication tests
-    module_disable(array('ldap_authorization_drupal_role', 'ldap_authorization'));
+    // These 2 modules are configured in setup, but disabled for most authentication tests.
+    module_disable(['ldap_authorization_drupal_role', 'ldap_authorization']);
     $authenticationConf = new LdapAuthenticationConfAdmin();
     $authenticationConf->excludeIfNoAuthorizations = 1;
     $authenticationConf->save();
@@ -623,7 +624,6 @@ class LdapAuthenticationTestCase extends LdapTestCase {
      * to make sure authentication fails completely
      */
 
-
     $this->AttemptLogonNewUser('hpotter');
     $this->assertText(
       LDAP_AUTHENTICATION_DISABLED_FOR_BAD_CONF_MSG,
@@ -633,9 +633,10 @@ class LdapAuthenticationTestCase extends LdapTestCase {
       $testid
     );
 
-    module_enable(array('ldap_authorization'), TRUE);
-    module_enable(array('ldap_authorization_drupal_role'), TRUE);
-    $consumer = ldap_authorization_get_consumers('drupal_role', TRUE, TRUE); // clear static cache
+    module_enable(['ldap_authorization'], TRUE);
+    module_enable(['ldap_authorization_drupal_role'], TRUE);
+    // Clear static cache.
+    $consumer = ldap_authorization_get_consumers('drupal_role', TRUE, TRUE);
 
     $this->AttemptLogonNewUser('hpotter');
     $this->assertText(
@@ -661,17 +662,16 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     $authenticationConf->excludeIfNoAuthorizations = 0;
     $authenticationConf->save();
     $authenticationConf = ldap_authentication_get_valid_conf(TRUE);
-    module_disable(array('ldap_authorization_drupal_role', 'ldap_authorization'));
-
+    module_disable(['ldap_authorization_drupal_role', 'ldap_authorization']);
 
   }
 
   /**
-   * make sure user admin interface works.
+   * Make sure user admin interface works.
    */
-  function testUI() {
+  public function testUI() {
 
-    // just to give warning if setup doesn't succeed.  may want to take these out at some point.
+    // Just to give warning if setup doesn't succeed.  may want to take these out at some point.
     $setup_success = (
         module_exists('ldap_user') &&
         module_exists('ldap_servers') &&
@@ -681,12 +681,12 @@ class LdapAuthenticationTestCase extends LdapTestCase {
     $this->assertTrue($setup_success, ' ldap_authentication UI setup successful', $this->testId('user interface tests'));
 
     $sid = 'activedirectory1';
-    $sids = array('activedirectory1');
+    $sids = ['activedirectory1'];
     $this->prepTestData(LDAP_TEST_LDAP_NAME, $sids, 'provisionToDrupal', 'default');
 
-    $this->privileged_user = $this->drupalCreateUser(array(
+    $this->privileged_user = $this->drupalCreateUser([
       'administer site configuration',
-      ));
+    ]);
 
     $this->drupalLogin($this->privileged_user);
 
